<?php
  session_start(); 
?>
<!DOCTYPE html >

<?php

  define ("DB_HOST", "localhost");
  define ("DB_NAME", "harcuond");
  define ("DB_USER", "root");
  define ("DB_PASSWD", "");
  define ("MAX_ATTEMPTS", 3);
  define ("USER_TIMEOUT", 30);
  
  function clean_input($data) {
    $data = trim($data);
    $data = stripslashes($data);
    $data = htmlspecialchars($data,ENT_QUOTES);
    return $data;
  }
  
  function tryToLogin($login,$password){
   $details = getDetailsForUser($login);
    if(isset($details['heslo'])){
      return true;
    }else{
      return false;
    }
  }
  
  function getDetailsForUser($uziv_jmeno) {

    
    $link = mysqli_connect(DB_HOST, DB_USER, DB_PASSWD);


    if (!$link) {
      echo "Nepodařilo se spojit s DB.<br>";
      echo mysqli_connect_error();
      exit();
    }

    $success = mysqli_select_db($link, DB_NAME);
    if (!$success) {
      echo "Nepodařilo se přepnout na správnou databázi";
      exit();
    }

    $sql = "SELECT heslo, pokusu FROM `uzivatele` WHERE uzivatelske_jmeno='$uziv_jmeno'";

    $result = mysqli_query($link, $sql);

    $temp_pole=array();

    if ($result) {
      $row = mysqli_fetch_assoc($result);
      $temp_pole['heslo']=$row['heslo'];
      $temp_pole['pokusu']=$row['pokusu'];
    }

    mysqli_free_result($result);

    mysqli_close($link);

    return $temp_pole;

  }
  
  setFailedAttempts($uziv_jmeno, $pokusu) {

    $link = mysqli_connect(DB_HOST, DB_USER, DB_PASSWD);

    if (!$link) {
      echo "Nepodařilo se spojit s DB.<br>";
      echo mysqli_connect_error();
      exit();
    }

    $success = mysqli_select_db($link, DB_NAME);
    if (!$success) {
      echo "Nepodařilo se přepnout na správnou databázi";
      exit();
    }

    $sql = "UPDATE `uzivatele` SET pokusu=$pokusu WHERE uzivatelske_jmeno='$uziv_jmeno'";

    //echo $sql;

    $result = mysqli_query($link, $sql);

    //mysqli_free_result($result);

    mysqli_close($link);

  }

  if($_SERVER["REQUEST_METHOD"] == "POST") {
    if(isset($_POST['login'])&&isset($_POST['password'])){
      $loginAttempt = true;
      $login = $_POST['login'];
      $password = $_POST['password'];
      $logged = tryToLogin($login,$password);
      $_SESSION['logged'] = $logged;
    }
  }
  

?>
 
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
     <title>Autentifikace a autorizace</title>
  </head>
  <body>
    
      <ul>
        <li><a href="stranka1.php">Protected Area</a></li>
      </ul>
     
      <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>" method="post">
         <label for="login" >Login:</label>
         <input id = "login" type="text" name="login" />
         <label for="pass" >Password:</label>
         <input id="pass" type="password" name="password"/>
         <input id="sub" type="submit" name="sub" value="Submit"/>
      </form> 
      <div class="errorLogin"
      <?php
        if(isset($_SESSION['logged'])&&$_SESSION['logged']){
          echo " style='color:green'> User is logged in.";
        }else if(isset($loginAttempt)&&!$_SESSION['logged']){
           echo " style='color:red'> Bad credentials";
        }
      ?>
      </div>
      
  </body>
</html>